WhatsApp Template Management API

The Messages API now offers the WhatsApp Template Management API that allow you to manage templates for your WABAs and cut out the manual step of submitting and checking templates manually. You can manage your templates using the Template Management API, including adding new templates, retrieving their statuses, and deleting any that are already in use. Different sorts of media can be sent with each WhatsApp message template. You can manage your media files via the API and set up extra features to improve their functionality. See the Vonage Developer Portal for more information.

OpenAPI-Spezifikation herunterladen

WhatsApp Template Management

Create and Manage WhatsApp Message Templates

List Templates

Get a list of templates,and their associated metadata, for the specified WABA ID. If multiple language variants exist for a template, each variant will be returned as a separate template object.

gethttps://api.nexmo.com/v2/whatsapp-manager/wabas/:id/templates

Authentifizierung

SchlüsselBeschreibungWoBeispiel
Authorization

Ihr JSON-Web-Token.
Lesen Sie mehr über JWTs

Headers

Bearer <JWT>

Pfad Parameter

id
string
Erforderlich
Beispiel345688589250625

The id of the WABA

Abfrage Parameter

limit
number
Min1
Max500
Standard25
Beispiel10

The number of templates to return in the list. Although the max size is 500, for large datasets it is recommended to use a lower limit and instead use pagination to avoid potential timeouts.

before
string
BeispielMAZDZD

A cursor point used for a paginated request to indicate the template to paginate backwards from.

after
string
BeispielMjQZD

A cursor point used for a paginated request to indicate the template to paginate forwards from.

category
string
BeispielUTILITY

A filter for returning only templates matching a specific category.

Muss eines der folgenden sein:UTILITYAUTHENTICATIONMARKETING
content
string
Beispielspecial offer

A search filter representing the content of a template. Only matching templates will be returned in the list.

language
string
Beispielen

A filter for returning only templates matching a specific language code. A list of supported languages is available in the WhatsApp documentation

name
string
BeispielMy Template

A search filter representing the name, either full or partial, of a template. Only matching templates will be returned in the list.

name_or_content
string
Beispielspecial offer

A search filter representing the name, either full or partial, or content of a template. Only matching templates will be returned in the list.

quality_score
string
BeispielRED

A search filter representing the quality score of a template. Only matching templates will be returned in the list.

Muss eines der folgenden sein:GREENYELLOWREDUNKNOWN
status
string
BeispielAPPROVED

A filter for returning only templates matching a specific status.

Muss eines der folgenden sein:APPROVEDIN_APPEALPENDINGREJECTEDDISABLEDPAUSEDLIMIT_EXCEEDED

Antworten
Inhalt Typ
application/json

OK

Kopfzeile Parameter
X-Request-Id
string(uuid)
Beispielf94b4e56-604e-07e5-e5ad-5a7228618f81
A unique identifier for the request, used for tracking and debugging
paging
object
cursors
object
before
string
BeispielMAZDZD

The template before the first template in the current list

after
string
BeispielMjQZD

The template after the last template in the current list

next
string(uri)
Beispielhttps://api.nexmo.com/v2/whatsapp-manager/wabas/106499765517625/templates?after=MwZDZD

A URI to ge the next paginated page.

previous
string(uri)
Beispielhttps://api.nexmo.com/v2/whatsapp-manager/wabas/106499765517625/templates?before=MgZDZD

A URI to ge the previous paginated page.

templates
array

An array of templates in the current list

id
string
Beispiel1045638762820500

The unique identifier for this template.

status
string
BeispielAPPROVED

The status of the template. Templates with a status of APPROVED can be used in WhatsApp template messages.

Muss eines der folgenden sein:APPROVEDREJECTEDIN_APPEALPENDINGPENDING_DELETIONDELETEDDISABLEDLOCKED
previous_category
string
BeispielMARKETING

If the template has been updated to a different category, shows the previous category of the template.

name
string
Erforderlich
Beispielsample_issue_resolution

The name of the template

language
string
Erforderlich
Beispielen

The language of the template. The same template name can be used for multiple language versions. A list of supported languages is available in the WhatsApp documentation. Note: Adding new languages on legacy template categories has been disabled by Meta, see the documentation for Language Variants and Categories

category
string
Erforderlich
BeispielUTILITY

The required category of the template. The category determines what the template will be used for. Note: Adding new languages on legacy template categories has been disabled by Meta, see the documentation for Language Variants and Categories

Muss eines der folgenden sein:UTILITYAUTHENTICATIONMARKETING
allow_category_change
boolean
Beispieltrue

This field is now deprecated. This functionality is now enabled by default by Meta and cannot be disabled. See the Meta documentation for more infomration.

An optional parameter which, when set to true, can avoid template rejection due to mis-categorization. Including this parameter, with a value of true, will allow Meta to re-assign the template to a different category as appropriate.

Muss eines der folgenden sein:truefalse
components
array
Erforderlich

An array of objects representing the parts of the template itself. A template must have at least one component, and at least one component must be of type BODY. HEADER, FOOTER, and BUTTONS components are optional.

Jedes der
Einer der
Einer der
type
string
BeispielHEADER

The type of template component.

Muss eines der folgenden sein:HEADER
format
string
BeispielTEXT

The format of the template component. For a Text Header, format is always TEXT.

Muss eines der folgenden sein:TEXT
text
string
Max60
BeispielYour parcel is out for delivery.

The text to be displayed in this template component. Maximum 60 characters.

Beispiel Antwort

{
   "paging": {
      "cursors": {
         "before": "MAZDZD",
         "after": "MjQZD"
      },
      "next": "https://api.nexmo.com/v2/whatsapp-manager/wabas/106499765517625/templates?after=MwZDZD",
      "previous": "https://api.nexmo.com/v2/whatsapp-manager/wabas/106499765517625/templates?before=MgZDZD"
   },
   "templates": [
      {
         "id": "1045638762820500",
         "status": "APPROVED",
         "previous_category": "MARKETING",
         "name": "sample_issue_resolution",
         "language": "en",
         "category": "UTILITY",
         "allow_category_change": true,
         "components": [
            {
               "type": "BODY",
               "text": "Your parcel will be delivered today"
            }
         ]
      }
   ]
}

Create Template

Submit a new template to be associated with this WABA

posthttps://api.nexmo.com/v2/whatsapp-manager/wabas/:id/templates

Authentifizierung

SchlüsselBeschreibungWoBeispiel
Authorization

Ihr JSON-Web-Token.
Lesen Sie mehr über JWTs

Headers

Bearer <JWT>

Pfad Parameter

id
string
Erforderlich
Beispiel345688589250625

The id of the WABA

Kopfzeile Parameter

Content-Type
string

application/json

Anfrage Körper
Inhalt Typ
application/json

name
string
Erforderlich
Beispielsample_issue_resolution

The name of the template

language
string
Erforderlich
Beispielen

The language of the template. The same template name can be used for multiple language versions. A list of supported languages is available in the WhatsApp documentation. Note: Adding new languages on legacy template categories has been disabled by Meta, see the documentation for Language Variants and Categories

category
string
Erforderlich
BeispielUTILITY

The required category of the template. The category determines what the template will be used for. Note: Adding new languages on legacy template categories has been disabled by Meta, see the documentation for Language Variants and Categories

Muss eines der folgenden sein:UTILITYAUTHENTICATIONMARKETING
allow_category_change
boolean
Beispieltrue

This field is now deprecated. This functionality is now enabled by default by Meta and cannot be disabled. See the Meta documentation for more infomration.

An optional parameter which, when set to true, can avoid template rejection due to mis-categorization. Including this parameter, with a value of true, will allow Meta to re-assign the template to a different category as appropriate.

Muss eines der folgenden sein:truefalse
components
array
Erforderlich

An array of objects representing the parts of the template itself. A template must have at least one component, and at least one component must be of type BODY. HEADER, FOOTER, and BUTTONS components are optional.

Jedes der
Einer der
Einer der
type
string
BeispielHEADER

The type of template component.

Muss eines der folgenden sein:HEADER
format
string
BeispielTEXT

The format of the template component. For a Text Header, format is always TEXT.

Muss eines der folgenden sein:TEXT
text
string
Max60
BeispielYour parcel is out for delivery.

The text to be displayed in this template component. Maximum 60 characters.

Beispiel Anfrage

{
   "name": "sample_issue_resolution",
   "language": "en",
   "category": "UTILITY",
   "allow_category_change": true,
   "components": [
      {
         "type": "BODY",
         "text": "Your parcel will be delivered today"
      }
   ]
}

Antworten
Inhalt Typ
application/json

OK

Kopfzeile Parameter
X-Request-Id
string(uuid)
Beispielf94b4e56-604e-07e5-e5ad-5a7228618f81
A unique identifier for the request, used for tracking and debugging
id
string
Erforderlich
Beispiel408766354711449

The unique ID of the created template.

Beispiel Antwort

{
   "id": "408766354711449"
}

Delete Template

Delete a template of the specified name associated with the WABA ID

deletehttps://api.nexmo.com/v2/whatsapp-manager/wabas/:id/templates

Authentifizierung

SchlüsselBeschreibungWoBeispiel
Authorization

Ihr JSON-Web-Token.
Lesen Sie mehr über JWTs

Headers

Bearer <JWT>

Pfad Parameter

id
string
Erforderlich
Beispiel345688589250625

The id of the WABA

Abfrage Parameter

name
string

The name of the template to be deleted. The name is required, but if specified without hsm_id being specified then all templates matching that name will be deleted.

hsm_id
string

The ID of the specific template to be deleted. Only the template matching both the specified name and hsm_id will be deleted.

Antworten

No Content - Resource successfully deleted

Kopfzeile Parameter
X-Request-Id
string(uuid)
Beispielf94b4e56-604e-07e5-e5ad-5a7228618f81
A unique identifier for the request, used for tracking and debugging

Get Template

Get details of an existing template identified by the WABA and Template ID

gethttps://api.nexmo.com/v2/whatsapp-manager/wabas/:id/templates/:template_id

Authentifizierung

SchlüsselBeschreibungWoBeispiel
Authorization

Ihr JSON-Web-Token.
Lesen Sie mehr über JWTs

Headers

Bearer <JWT>

Pfad Parameter

id
string
Erforderlich
Beispiel345688589250625

The id of the WABA

template_id
string
Erforderlich
Beispiel1045638762820500

The id of the template

Antworten
Inhalt Typ
application/json

OK

Kopfzeile Parameter
X-Request-Id
string(uuid)
Beispielf94b4e56-604e-07e5-e5ad-5a7228618f81
A unique identifier for the request, used for tracking and debugging
id
string
Beispiel1045638762820500

The unique identifier for this template.

status
string
BeispielAPPROVED

The status of the template. Templates with a status of APPROVED can be used in WhatsApp template messages.

Muss eines der folgenden sein:APPROVEDREJECTEDIN_APPEALPENDINGPENDING_DELETIONDELETEDDISABLEDLOCKED
previous_category
string
BeispielMARKETING

If the template has been updated to a different category, shows the previous category of the template.

name
string
Erforderlich
Beispielsample_issue_resolution

The name of the template

language
string
Erforderlich
Beispielen

The language of the template. The same template name can be used for multiple language versions. A list of supported languages is available in the WhatsApp documentation. Note: Adding new languages on legacy template categories has been disabled by Meta, see the documentation for Language Variants and Categories

category
string
Erforderlich
BeispielUTILITY

The required category of the template. The category determines what the template will be used for. Note: Adding new languages on legacy template categories has been disabled by Meta, see the documentation for Language Variants and Categories

Muss eines der folgenden sein:UTILITYAUTHENTICATIONMARKETING
allow_category_change
boolean
Beispieltrue

This field is now deprecated. This functionality is now enabled by default by Meta and cannot be disabled. See the Meta documentation for more infomration.

An optional parameter which, when set to true, can avoid template rejection due to mis-categorization. Including this parameter, with a value of true, will allow Meta to re-assign the template to a different category as appropriate.

Muss eines der folgenden sein:truefalse
components
array
Erforderlich

An array of objects representing the parts of the template itself. A template must have at least one component, and at least one component must be of type BODY. HEADER, FOOTER, and BUTTONS components are optional.

Jedes der
Einer der
Einer der
type
string
BeispielHEADER

The type of template component.

Muss eines der folgenden sein:HEADER
format
string
BeispielTEXT

The format of the template component. For a Text Header, format is always TEXT.

Muss eines der folgenden sein:TEXT
text
string
Max60
BeispielYour parcel is out for delivery.

The text to be displayed in this template component. Maximum 60 characters.

Beispiel Antwort

{
   "id": "1045638762820500",
   "status": "APPROVED",
   "previous_category": "MARKETING",
   "name": "sample_issue_resolution",
   "language": "en",
   "category": "UTILITY",
   "allow_category_change": true,
   "components": [
      {
         "type": "BODY",
         "text": "Your parcel will be delivered today"
      }
   ]
}

Update Template

Update an existing template identified by the WABA and Template ID

puthttps://api.nexmo.com/v2/whatsapp-manager/wabas/:id/templates/:template_id

Authentifizierung

SchlüsselBeschreibungWoBeispiel
Authorization

Ihr JSON-Web-Token.
Lesen Sie mehr über JWTs

Headers

Bearer <JWT>

Pfad Parameter

id
string
Erforderlich
Beispiel345688589250625

The id of the WABA

template_id
string
Erforderlich
Beispiel1045638762820500

The id of the template

Kopfzeile Parameter

Content-Type
string

application/json

Anfrage Körper
Inhalt Typ
application/json

name
string
Erforderlich
Beispielsample_issue_resolution

The name of the template

language
string
Erforderlich
Beispielen

The language of the template. The same template name can be used for multiple language versions. A list of supported languages is available in the WhatsApp documentation. Note: Adding new languages on legacy template categories has been disabled by Meta, see the documentation for Language Variants and Categories

category
string
Erforderlich
BeispielUTILITY

The required category of the template. The category determines what the template will be used for. Note: Adding new languages on legacy template categories has been disabled by Meta, see the documentation for Language Variants and Categories

Muss eines der folgenden sein:UTILITYAUTHENTICATIONMARKETING
allow_category_change
boolean
Beispieltrue

This field is now deprecated. This functionality is now enabled by default by Meta and cannot be disabled. See the Meta documentation for more infomration.

An optional parameter which, when set to true, can avoid template rejection due to mis-categorization. Including this parameter, with a value of true, will allow Meta to re-assign the template to a different category as appropriate.

Muss eines der folgenden sein:truefalse
components
array
Erforderlich

An array of objects representing the parts of the template itself. A template must have at least one component, and at least one component must be of type BODY. HEADER, FOOTER, and BUTTONS components are optional.

Jedes der
Einer der
Einer der
type
string
BeispielHEADER

The type of template component.

Muss eines der folgenden sein:HEADER
format
string
BeispielTEXT

The format of the template component. For a Text Header, format is always TEXT.

Muss eines der folgenden sein:TEXT
text
string
Max60
BeispielYour parcel is out for delivery.

The text to be displayed in this template component. Maximum 60 characters.

Beispiel Anfrage

{
   "name": "sample_issue_resolution",
   "language": "en",
   "category": "UTILITY",
   "allow_category_change": true,
   "components": [
      {
         "type": "BODY",
         "text": "Your parcel will be delivered today"
      }
   ]
}

Antworten

No Content - Resource successfully deleted

Kopfzeile Parameter
X-Request-Id
string(uuid)
Beispielf94b4e56-604e-07e5-e5ad-5a7228618f81
A unique identifier for the request, used for tracking and debugging

Media Upload

Upload media files to the WhatsApp platform. Once uploaded, you can use an uploaded file's handle to create a media template.

posthttps://api.nexmo.com/v2/whatsapp-manager/media/uploads

Authentifizierung

SchlüsselBeschreibungWoBeispiel
Authorization

Ihr JSON-Web-Token.
Lesen Sie mehr über JWTs

Headers

Bearer <JWT>

Abfrage Parameter

file_type
string

The file's MIME type. Valid values are: image/jpeg, image/jpg, image/png, and video/mp4.

Kopfzeile Parameter

Content-Type
string

multipart/form-data

Anfrage Körper
Inhalt Typ
multipart/form-data

mediafile
string(binary)
Beispiel--73dc24e0-b350-48f8-931e-eab338df00e1--

The file to be uploaded. See an example cURL request

Beispiel Anfrage

POST /v2/whatsapp-manager/media/uploads HTTP/1.1
Host: api.nexmo.com
Content-Type: application/x-www-form-urlencoded
Content-Length: 50

mediafile=--73dc24e0-b350-48f8-931e-eab338df00e1--

Antworten
Inhalt Typ
application/json

OK

Kopfzeile Parameter
X-Request-Id
string(uuid)
Beispielf94b4e56-604e-07e5-e5ad-5a7228618f81
A unique identifier for the request, used for tracking and debugging
h
string
Beispiel:c2FtcGxlLm1wNA==:image/jpeg:GKAj0gAUCZmJ1voFADip2iIAAAAAbugbAAAA:e:1472075513:ARZ_3ybzrQqEaluMUdI

The uploaded file's file handle. Media handles are valid for 30 days after the upload time, and can be used in template components for template creation.

Beispiel Antwort

{
   "h": ":c2FtcGxlLm1wNA==:image/jpeg:GKAj0gAUCZmJ1voFADip2iIAAAAAbugbAAAA:e:1472075513:ARZ_3ybzrQqEaluMUdI"
}

Fehler

Im Folgenden finden Sie eine nicht erschöpfende Liste von Fehlercodes, die bei der Verwendung dieser API auftreten können.

Diese Codes gelten zusätzlich zu unseren generische Fehlercodes.

CodeInformationen
1000

Throttled - You have exceeded the submission capacity allowed on this account. Please wait and retry

1030

Internal error - There was an error processing your request in the Platform.